# DocsGPT

gpt 文档推理分析

## Usage
安装docker

```
git clone https://github.com/arc53/DocsGPT.git

# 配置 API_KEY
vim .env 

sh ./run-with-docker-compose.sh

# 启动端口 localhost:5173

```

## Develop

```

docker compose -f docker-compose-dev.yaml build
docker compose -f docker-compose-dev.yaml up -d

# 后端
python -m venv venv
. venv/bin/activate

pip install -r requirements.txt

flask run --host=0.0.0.0 --port=7091
celery -A application.app.celery worker -l INFO

# 前端
npm install husky -g
npm install vite -g

npm install --include=dev
npm run dev
```